View Issue Details

IDProjectCategoryView StatusLast Update
13495Bug reports[All Projects] Print Viewpublic2018-03-28 12:14
Reporterbambam Assigned Toadamzammit  
PrioritynoneSeverityminor 
Status closedResolutionfixed 
Product Version3.3.x 
Target VersionFixed in Version3.5.x 
Summary13495: Character äöü and ß shown as ? at QueXML-Export
Description

If use Export these responses to QXML in the Print View, the characters äöü and ß shown as ?

Steps To Reproduce

Use the small test survey at http://regionsforen.de/ls/index.php/868257?lang=de
Fill the question name oder street with ßßß or äöü then sending the survey and go to the print page and use "Export these responses to QXML: queXMLPDF export"
In the PDF the characters äöü and ß shown as ?

thank you

TagsNo tags attached.
Complete LimeSurvey version number (& build)3.4.1 180221 and 3.5
I will donate to the project if issue is resolvedNo
BrowserFirefox
Database & DB-VersionMySQL
Server OS (if known)Linux
Webserver software & version (if known)Apache
PHP Version7.0

Activities

adamzammit

adamzammit

2018-03-22 04:29

developer   ~47168

Thanks for reporting this - I have a patch pull request here: https://github.com/LimeSurvey/LimeSurvey/pull/1023

c_schmitz

c_schmitz

2018-03-22 11:09

administrator   ~47178

Fix committed to master branch: http://bugs.limesurvey.org/plugin.php?page=Source/view&id=26834

c_schmitz

c_schmitz

2018-03-28 12:14

administrator   ~47254

Version 3.6.0 released

Related Changesets

LimeSurvey: master e592ee85

2018-03-22 11:09:42

adamzammit


Committer: c_schmitz Details Diff
Fixed issue 13495: Character äöü and ß shown as ? at QueXML-Export (#1023) Affected Issues
13495
mod - application/libraries/admin/quexmlpdf.php Diff File

Issue History

Date Modified Username Field Change
2018-03-17 16:36 bambam New Issue
2018-03-21 18:48 c_schmitz Assigned To => adamzammit
2018-03-21 18:48 c_schmitz Status new => assigned
2018-03-22 04:29 adamzammit Note Added: 47168
2018-03-22 11:09 c_schmitz Changeset attached => LimeSurvey master e592ee85
2018-03-22 11:09 c_schmitz Note Added: 47178
2018-03-22 11:09 c_schmitz Assigned To adamzammit => c_schmitz
2018-03-22 11:09 c_schmitz Resolution open => fixed
2018-03-22 11:09 c_schmitz Assigned To c_schmitz => adamzammit
2018-03-22 11:09 c_schmitz Status assigned => resolved
2018-03-22 11:09 c_schmitz Fixed in Version => 3.5.x
2018-03-28 12:14 c_schmitz Note Added: 47254
2018-03-28 12:14 c_schmitz Status resolved => closed